diff --git a/pgadmin/frm/frmRestore.cpp b/pgadmin/frm/frmRestore.cpp
index 769c273..a5f8580 100644
--- a/pgadmin/frm/frmRestore.cpp
+++ b/pgadmin/frm/frmRestore.cpp
@@ -529,21 +529,21 @@ wxString frmRestore::getCmdPart2(int step)
 					cmd.Append(wxT(" --function ") + commandLineCleanOption(qtIdent(object->GetFullName()), true));
 					break;
 				case PGM_INDEX:
-					cmd.Append(wxT(" --index ") + commandLineCleanOption(object->GetQuotedIdentifier(), true));
+					cmd.Append(wxT(" --index ") + commandLineCleanOption(object->GetIdentifier(), false));
 					break;
 				case PGM_TABLE:
-					cmd.Append(wxT(" --table ") + commandLineCleanOption(object->GetQuotedIdentifier(), true));
+					cmd.Append(wxT(" --table ") + commandLineCleanOption(object->GetIdentifier(), false));
 					break;
 				case PGM_TRIGGER:
-					cmd.Append(wxT(" --trigger ") + commandLineCleanOption(object->GetQuotedIdentifier(), true));
+					cmd.Append(wxT(" --trigger ") + commandLineCleanOption(object->GetIdentifier(), false));
 					break;
 				default:
 					break;
 			}
 			if (object->GetMetaType() == PGM_SCHEMA)
-				cmd.Append(wxT(" --schema ") + commandLineCleanOption(object->GetQuotedIdentifier(), true));
+				cmd.Append(wxT(" --schema ") + commandLineCleanOption(object->GetIdentifier(), false));
 			else if (pgAppMinimumVersion(restoreExecutable, 8, 2))
-				cmd.Append(wxT(" --schema ") + commandLineCleanOption(object->GetSchema()->GetQuotedIdentifier(), true));
+				cmd.Append(wxT(" --schema ") + commandLineCleanOption(object->GetSchema()->GetIdentifier(), false));
 		}
 
 		if (settings->GetIgnoreVersion())
